List spending cards | Moov Documentation
List spending cards
List Moov issued cards existing for the account.
To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/issued-cards.read scope.
GET
/issuing/{accountID}/cards
Ask
curl -X GET "https://api.moov.io/issuing/{accountID}/cards" \
-H "Authorization: Bearer {token}" \
-H "X-Moov-Version: v2026.07.00"
Ask
import { Moov } from "@moovio/sdk";
const moov = new Moov({
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.cardIssuing.list({
accountID: "17c958e0-3abe-46e5-8afb-98742f1fb8ac",
skip: 60,
count: 20,
});
console.log(result);
}
run();
Ask
declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;
$sdk = MoovPhp\Moov::builder()
->setSecurity(
new Components\Security(
username: '',
password: '',
)
)
->build();
$response = $sdk->cardIssuing->list(
accountID: '17c958e0-3abe-46e5-8afb-98742f1fb8ac',
skip: 60,
count: 20
);
if ($response->issuedCards !== null) {
// handle response
}
Ask
package hello.world;
import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.ListIssuedCardsResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Moov sdk = Moov.builder()
.security(Security.builder()
.username("")
.password("")
.build())
.build();
ListIssuedCardsResponse res = sdk.cardIssuing().list()
.accountID("17c958e0-3abe-46e5-8afb-98742f1fb8ac")
.skip(60L)
.count(20L)
.call();
if (res.issuedCards().isPresent()) {
System.out.println(res.issuedCards().get());
}
}
}
Ask
from moovio_sdk import Moov
from moovio_sdk.models import components
with Moov(
security=components.Security(
username="",
password="",
),
) as moov:
res = moov.card_issuing.list(account_id="17c958e0-3abe-46e5-8afb-98742f1fb8ac", skip=60, count=20)
# Handle response
print(res)
Ask
require 'moov_ruby'
Models = ::Moov::Models
s = ::Moov::Client.new(
security: Models::Components::Security.new(
username: '',
password: ''
)
)
res = s.card_issuing.list(account_id: '17c958e0-3abe-46e5-8afb-98742f1fb8ac', skip: 60, count: 20)
unless res.issued_cards.nil?
# handle response
end
Ask
using Moov.Sdk;
using Moov.Sdk.Models.Components;
var sdk = new MoovClient(security: new Security() {
Username = "",
Password = "",
});
var res = await sdk.CardIssuing.ListAsync(
accountID: "17c958e0-3abe-46e5-8afb-98742f1fb8ac",
skip: 60,
count: 20
);
// handle response
Example
[\
{\
"issuedCardID": "string",\
"brand": "Visa",\
"lastFourCardNumber": "string",\
"expiration": {\
"month": "01",\
"year": "21"\
},\
"fundingWalletID": "string",\
"authorizedUserAccountID": "string",\
"nickname": "string",\
"metadata": {\
"optional": "metadata"\
},\
"billingAddress": {\
"addressLine1": "123 Main Street",\
"addressLine2": "Apt 302",\
"city": "Boulder",\
"stateOrProvince": "CO",\
"postalCode": "80301",\
"country": "US"\
},\
"state": "active",\
"formFactor": "virtual",\
"controls": {\
"singleUse": true,\
"velocityLimits": [\
{\
"amount": 10000,\
"interval": "per-transaction"\
}\
]\
},\
"createdOn": "2019-08-24T14:15:22Z",\
"updatedOn": "2019-08-24T14:15:22Z"\
}\
]
Response headers
- The request completed successfully.
- The request contained missing or expired authentication.
- The user is not authorized to make the request.
- Request was refused due to rate limiting.
- The request failed due to an unexpected error.
- The request failed because a downstream service failed to respond.
Additional Information
- Set the header to
v2026.07.00to use the API described in this specification. When omitted, the server defaults tov2024.01.00, which may not match the behavior documented here. - Possible values:
v2026.07.00 - The Moov business account for which the cards have been issued.
- Default:
200 - Optional, comma-separated states to filter the Moov list issued cards response. For example
active,closed - Identifier for the account of the card's authorized user.
- Billing address associated with the card.
- Show child attributes. The card brand.
- Possible values:
American Express,Discover,Mastercard,Visa,Unknown - Indicates if the card is single-use. If true, the card closes after the first authorization.
- Sets the spending limit per time interval. Only one limit per interval is supported.
- Show child attributes. The maximum amount in cents that can be spent in a given interval.
- Specifies the time frame for the velocity limit. Currently supports only per-transaction limits.
- Possible values:
per-transaction - The expiration date of the card or token. Two-digit month/year the card expires.
- Specifies the type of spend card to be issued. Presently supports virtual only, providing a digital number without a physical card.
- Possible values:
virtual - Unique identifier for the wallet funding the card.
- Free-form key-value pair list. Useful for storing information that is not captured elsewhere.
- An optional descriptive name for the card.
- The
staterepresents the operational status of an issued card. A card can only approve incoming authorizations if it is in an active state.active: The card is operational and can approve authorizations.closed: The card is permanently deactivated and cannot approve authorizations. A card can be closed by request or when it expires.
- Possible values:
active,closed